<div class="app-body">
  <div class="main">
    <div class="container-fluid">
      <div class="card">
        <div class="card-body">
          <div class="d-flex">
            <div class="col-6 login-image">
              <img src="assets/Tech Alchemy.png" />
            </div>
            <div class="col-6 login-input">
              <div class="align">
                <div class="col-12">Welcome</div>
                <div class="col-12">
                  <h5><strong>Signup to your account</strong></h5>
                </div>

                <form [formGroup]="signupForms">
                  <div
                    class="my-3 col-md-12 col-sm-6 col-lg-12 col-xl-8 mb-3 email"
                  >
                    <div class="title">Email</div>
                    <span
                      ><input
                        type="text"
                        class="form-control"
                        placeholder="Please enter your email"
                        formControlName="email"
                        maxlength="40"
                        pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$"
                    /></span>
                    <div
                      *ngIf="submitted && values.email.errors"
                      class="text-danger"
                    >
                      <div *ngIf="values.email.errors.required" class="errors">
                        Email address is required
                      </div>
                      <div *ngIf="values.email.errors.email" class="error">
                        Enter valid email address
                      </div>
                    </div>
                  </div>
                  <div
                    class="my-3 col-md-12 col-sm-6 col-lg-12 col-xl-8 mb-3 password"
                  >
                    <div class="title">Password</div>
                    <span
                      ><input
                        type="password"
                        class="form-control"
                        formControlName="password"
                        maxlength="20"
                        placeholder="Please enter your password"
                    /></span>
                    <div
                      *ngIf="submitted && values.password.errors"
                      class="text-danger"
                    >
                      <div
                        *ngIf="values.password.errors.required"
                        class="error"
                      >
                        Password is required
                      </div>
                    </div>
                  </div>
                  <div class="d-flex remember-forget">
                    <div class="form-check">
                      <input
                        class="form-check-input"
                        type="checkbox"
                        value=""
                        id="flexCheckDefault"
                      />
                      <label class="form-check-label" for="flexCheckDefault">
                        Remember Me
                      </label>
                    </div>
                    <div>
                      <a [routerLink]="['/forgot-password']">
                        Forgot password?</a
                      >
                    </div>
                  </div>
                  <div class="text-center mt-5">
                    <div class="d-flex justify-content-center login-button">
                      <button
                        type="button"
                        class="btn btn-primary px-4"
                        (click)="signupSubmit()"
                      >
                        Signup
                      </button>
                    </div>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
